# $Revision: 1.46 $, $Date: 2010/06/30 18:10:35 $
%define		ver	%(echo %{version} | tr . _)
Summary:	International Components for Unicode
Summary(pl.UTF-8):	Międzynarodowe komponenty dla unikodu
Name:		icu
Version:	4.4.1
Release:	2
License:	MIT-like
Group:		Libraries
Source0:	http://download.icu-project.org/files/icu4c/%{version}/%{name}4c-%{ver}-src.tgz
# Source0-md5:	b6bc0a1153540b2088f8b03e0ba625d3
Patch0:		pkgconfig.patch
Patch1:		ac264-hack.patch
Source1:	%{name}-config
URL:		http://www.icu-project.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
Requires:	libicu = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ICU is a set of C and C++ libraries that provides robust and
full-featured Unicode and locale support. The library provides
calendar support, conversions for many character sets, language
sensitive collation, date and time formatting, support for many
locales, message catalogs and resources, message formatting,
normalization, number and currency formatting, time zones support,
transliteration, word, line and sentence breaking, etc.

This package contains the Unicode character database and derived
properties, along with converters and time zones data.

%description -l pl.UTF-8
ICU jest grupą bibliotek C i C++, które dostarczają kompletną i pełną
obsługę Unikodu i lokalizacji. Biblioteka dostarcza obsługę
kalendarza, konwersje dla wielu zestawów znaków, sortowanie zależne od
języka, formatowanie daty i czasu, wsparcie dla wielu lokalizacji,
katalogów komunikatów i zasobów, formatowanie komunikatów,
normalizację, formatowanie liczb i walut, obsługę stref czasowych,
transliterację, łamanie słów, linii i zdań itp.

Ten pakiet zawiera bazę znaków unikodowych i pochodne własności wraz z
konwerterami i danymi stref czasowych.

%package -n libicu
Summary:	International Components for Unicode (libraries)
Summary(pl.UTF-8):	Międzynarodowe Komponenty dla Unikodu (biblioteki)
Group:		Libraries
Obsoletes:	libicu30

%description -n libicu
ICU is a set of C and C++ libraries that provides robust and
full-featured Unicode support. This package contains the runtime
libraries for ICU. It does not contain any of the data files needed at
runtime and present in the `icu' package.

%description -n libicu -l pl.UTF-8
ICU jest grupą bibliotek C i C++, które dostarczają kompletną i pełną
obsługę Unikodu i lokalizacji. Ten pakiet zawiera biblioteki
uruchomieniowe ICU. Nie zawiera żadnych plików z danymi potrzebnymi w
czasie działania i obecnymi w pakietach "icu".

%package -n libicu-devel
Summary:	International Components for Unicode (development files)
Summary(pl.UTF-8):	Międzynarodowe komponenty dla Unikodu (pliki dla programistów)
Group:		Development/Libraries
Requires:	libicu = %{version}-%{release}

%description -n libicu-devel
ICU is a set of C and C++ libraries that provides robust and
full-featured Unicode support. This package contains the development
files for ICU.

%description -n libicu-devel -l pl.UTF-8
ICU jest grupą bibliotek C i C++, które dostarczają kompletną i pełną
obsługę Unikodu i lokalizacji. Ten pakiet zawiera pliki
programistyczne ICU.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
cd source
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--sbindir=%{_bindir} \
	--disable-samples

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C source install \
	DESTDIR=$RPM_BUILD_ROOT

install -p %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}-config
sed -i 's/\$(THREADSCXXFLAGS)//' $RPM_BUILD_ROOT%{_libdir}/pkgconfig/icu.pc
sed -i 's/\$(THREADSCPPFLAGS)/-D_REENTRANT/' $RPM_BUILD_ROOT%{_libdir}/pkgconfig/icu.pc

# help rpm to generate deps
chmod +x $RPM_BUILD_ROOT%{_libdir}/lib*.so.*.*

# rpm is too stupid sometimes and fails on symlinks to symlinked resources
# (reporting unresolved dependency at install time)
ln -sf %{version}/Makefile.inc $RPM_BUILD_ROOT%{_libdir}/%{name}/Makefile.inc

rm -f $RPM_BUILD_ROOT%{_datadir}/icu/%{version}/license.html

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n libicu -p /sbin/ldconfig
%postun	-n libicu -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc license.html readme.html
%attr(755,root,root) %{_bindir}/derb
%attr(755,root,root) %{_bindir}/gen*
%attr(755,root,root) %{_bindir}/icuinfo
%attr(755,root,root) %{_bindir}/icupkg
%attr(755,root,root) %{_bindir}/makeconv
%attr(755,root,root) %{_bindir}/pkgdata
%attr(755,root,root) %{_bindir}/uconv
%{_mandir}/man1/derb.1*
%{_mandir}/man1/gen*.1*
%{_mandir}/man1/makeconv.1*
%{_mandir}/man1/pkgdata.1*
%{_mandir}/man1/uconv.1*
%{_mandir}/man8/gen*.8*
%{_mandir}/man8/icupkg.8*

%files -n libicu
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libicu*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libicu*.so.44

%files -n libicu-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/icu-config
%attr(755,root,root) %{_libdir}/libicu*.so
%{_pkgconfigdir}/icu.pc
%{_includedir}/unicode
%{_includedir}/layout
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.inc
%dir %{_libdir}/%{name}/current
%dir %{_libdir}/%{name}/%{version}
%{_libdir}/%{name}/%{version}/*.inc
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/%{version}
%{_datadir}/%{name}/%{version}/config
%attr(755,root,root) %{_datadir}/%{name}/%{version}/install-sh
%attr(755,root,root) %{_datadir}/%{name}/%{version}/mkinstalldirs
%{_mandir}/man1/icu-config.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: icu.spec,v $
Revision 1.46  2010/06/30 18:10:35  shadzik
- rel 2

Revision 1.45  2010/05/22 15:46:27  gotar
- fixed Group

Revision 1.44  2010/05/19 06:13:33  qboosh
- updated to 4.4.1 (note: sonames changed)
- more verbose files list

Revision 1.43  2009/09/22 21:59:51  glen
- release 3

Revision 1.42  2009/09/21 19:02:24  glen
- icu-locales package was dropped in 3.0-1

Revision 1.41  2009/09/21 18:55:31  glen
- add autoconf 2.64 hack; rel 2

Revision 1.40  2009/09/21 10:19:27  glen
- libtoolize+aclocal

Revision 1.39  2009/09/20 13:33:56  glen
- add pkgconfig support from fedora; rel 1

Revision 1.38  2009/09/01 20:15:50  qboosh
- made install-sh script executable

Revision 1.37  2009/09/01 17:03:37  tommat
- up to 4.2.1

Revision 1.36  2009/09/01 12:56:58  tommat
- make -j1

Revision 1.35  2009/08/31 10:35:54  tommat
- fix build on new gcc

Revision 1.34  2008/03/26 01:43:17  sls
- ver. 3.8.1
- added regexp.patch

Revision 1.33  2007-12-14 23:51:09  qboosh
- ugh, restored workaround: symlink problem appears at install time

Revision 1.32  2007-12-14 23:22:59  qboosh
- soname symlinks as ghosts
- removed obsolete workaround
- use plain configure macro
- unified License format

Revision 1.31  2007-12-09 10:00:06  adamg
- updated to 3.8

Revision 1.30  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.29  2007/02/12 07:51:53  arekm
- rel 3; workaround rpm symlink deps

Revision 1.28  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.27  2006/11/17 14:04:34  qboosh
- release 2

Revision 1.26  2006/11/17 14:04:14  qboosh
- 755 for mkinstalldirs, it belongs to -devel
- pkglibdir,pkgdatadir trees moved to -devel (not used by runtime)

Revision 1.25  2006/11/15 13:01:20  qboosh
- moved icu-config(1) manual to libicu-devel

Revision 1.24  2006/11/01 21:15:09  glen
- check-files cleanup

Revision 1.23  2006/11/01 21:08:57  glen
- update URL

Revision 1.22  2006/10/24 22:14:27  sls
- updated to version 3.4.1
- changed source URL

Revision 1.21  2006/10/24 21:56:12  sls
- moved all binaries from _sbindir to _bindir
- icu-config moved to libicu-devel subpackage

Revision 1.20  2006/10/22 13:20:52  sls
- moved directories required by libicu-devel from icu to libicu

Revision 1.19  2005/05/10 21:37:16  pluto
- release 2 for Th.

Revision 1.18  2005/01/09 19:37:09  qboosh
- updated to 3.2

Revision 1.17  2004/12/25 17:55:31  qboosh
- cleanups

Revision 1.16  2004/07/11 19:30:56  qboosh
- chmod hack to allow rpm to find deps for libs; release 2

Revision 1.15  2004/07/11 19:25:20  qboosh
- fixed build on amd64, files fixes

Revision 1.14  2004/07/11 18:54:14  qboosh
- missing dir and defattrs

Revision 1.13  2004/07/11 18:35:47  krzak
- BuildRequires:  autoconf
- BuildRequires:  gcc-c++

Revision 1.12  2004/07/11 18:00:04  krzak
- build and work
- rel 1.
- remove locales subpackage

Revision 1.11  2004/07/09 20:45:24  krzak
- it build now.

Revision 1.10  2004/07/06 19:18:22  qboosh
- fixed+finished pl, some cleanups

Revision 1.9  2004/07/06 15:11:55  domelu
- buggy ftp on source0?

Revision 1.8  2004/07/06 14:24:40  domelu
- back to proper source0

Revision 1.7  2004/07/06 14:19:01  domelu
- df hack

Revision 1.6  2004/07/06 11:51:56  domelu
- MD5

Revision 1.5  2004/07/06 09:31:19  domelu
- added lost changelog

Revision 1.4  2004/07/06 09:27:26  domelu
- cosmetics

Revision 1.3  2004/07/06 09:24:38  krzak
- updated .spec with log

Revision 1.2  2004/07/06 9:22:41  krzak
- X License
- rel 0.1 not 1

Revision 1.1  2004/07/06 9:17:48  krzak
- initial
